Bug 1327642 - The encoding found: >>utf-8-<< on /usr/lib/python2.7/site-packages/git/compat.py is not a valid encoding.
Summary: The encoding found: >>utf-8-<< on /usr/lib/python2.7/site-packages/git/compat...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-pydev
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:560968565;
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-15 14:21 UTC by Robin Lee
Modified: 2016-07-10 05:58 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-10 05:58:23 UTC


Attachments (Terms of Use)
File: backtrace (1.81 KB, text/plain)
2016-04-15 14:21 UTC, Robin Lee
no flags Details

Description Robin Lee 2016-04-15 14:21:35 UTC
Version-Release number of selected component:
eclipse-pydev-4.5.3-1.fc23

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/java -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dp2.fragments=/usr/share/eclipse/droplets,/usr/lib64/eclipse/droplets -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.100.v20160304-1300.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.5.2.v20160304-1300/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.300.v20160304-1300/eclipse_1613.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.100.v20160304-1300.jar -protect master --launcher.appendVmargs -exitdata ff800d -vm /usr/bin/java -vmargs -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dp2.fragments=/usr/share/eclipse/droplets,/usr/lib64/eclipse/droplets -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.100.v20160304-1300.jar
eclipseplugin:  org.python.pydev.shared_core
executable:     /usr/lib64/eclipse/dropins/pydev-core/eclipse/plugins/org.python.pydev.shared_core_4.5.3.201601221600
kernel:         4.4.6-300.fc23.x86_64
runlevel:       N 5
type:           libreport
uid:            1000

Truncated backtrace:
java.io.UnsupportedEncodingException: The encoding found: >>utf-8-<< on /usr/lib/python2.7/site-packages/git/compat.py is not a valid encoding.
	at org.python.pydev.shared_core.io.FileUtils.getValidEncoding(FileUtils.java:728)
	at org.python.pydev.shared_core.io.FileUtils.getPythonFileEncoding(FileUtils.java:689)
	at org.python.pydev.shared_core.io.FileUtils.getPythonFileEncoding(FileUtils.java:759)
	at org.python.pydev.core.FileUtilsFileBuffer.getCustomReturnFromFile(FileUtilsFileBuffer.java:155)
	at com.python.pydev.analysis.additionalinfo.AbstractAdditionalTokensInfo.addAstInfo(AbstractAdditionalTokensInfo.java:281)
	at com.python.pydev.analysis.additionalinfo.AbstractAdditionalInfoWithBuild.restoreInfoForModuleManager(AbstractAdditionalInfoWithBuild.java:258)
	at com.python.pydev.analysis.additionalinfo.AdditionalSystemInterpreterInfo.recreateAllInfo(AdditionalSystemInterpreterInfo.java:179)
	at com.python.pydev.analysis.additionalinfo.AdditionalSystemInterpreterInfo.getAdditionalSystemInfo(AdditionalSystemInterpreterInfo.java:155)
	at com.python.pydev.analysis.additionalinfo.AdditionalSystemInterpreterInfo.getAdditionalSystemInfo(AdditionalSystemInterpreterInfo.java:124)
	at com.python.pydev.analysis.additionalinfo.AdditionalSystemInterpreterInfo.recreateAllInfo(AdditionalSystemInterpreterInfo.java:171)
	at com.python.pydev.analysis.additionalinfo.builders.InterpreterObserver.notifyDefaultPythonpathRestored(InterpreterObserver.java:35)
	at org.python.pydev.ui.interpreters.AbstractInterpreterManager.restorePythopathForInterpreters(AbstractInterpreterManager.java:726)
	at org.python.pydev.ui.interpreters.AbstractInterpreterManager.setInfos(AbstractInterpreterManager.java:643)
	at org.python.pydev.ui.pythonpathconf.AutoConfigMaker$1.run(AutoConfigMaker.java:137)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

Comment 1 Robin Lee 2016-04-15 14:21:41 UTC
Created attachment 1147674 [details]
File: backtrace

Comment 2 Alexander Kurtakov 2016-06-17 12:54:35 UTC
Can you give us instructions how to reproduce this bug? If you still experience it yourself of course.

Comment 3 Mat Booth 2016-06-28 11:07:14 UTC
I improved the tolerance for detecting valid encodings, but you will still (rightly) see this error for files that specify invalid encodings.

Comment 4 Fedora Update System 2016-06-28 13:54:45 UTC
eclipse-pydev-5.1.2-1.fc24 jython-2.7.1-0.1.b3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-38d4f09602

Comment 5 Fedora Update System 2016-06-29 22:56:31 UTC
eclipse-pydev-5.1.2-1.fc24, jython-2.7.1-0.1.b3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-38d4f09602

Comment 6 Fedora Update System 2016-07-10 05:58:17 UTC
eclipse-pydev-5.1.2-1.fc24, jython-2.7.1-0.1.b3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.